Page MenuHomePhabricator

Phone screen improvements on Adding to collection modal
Closed, ResolvedPublic3 Story Points

Description

See T95628 for context.

Adding to collection modal is too space inefficient in portait phones making the experience painful.

As much as I like it the star at the top takes too much space on the phone screen :S There are things we could do to improve this modal:

Plz test throughly in several devices/screen sizes.

Event Timeline

Jhernandez raised the priority of this task from to Needs Triage.
Jhernandez updated the task description. (Show Details)
Jhernandez moved this task to In Analysis on the Gather Sprint Forward board.
Jhernandez added subscribers: Jhernandez, Jdlrobson, JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2015, 11:32 AM
Jhernandez updated the task description. (Show Details)Apr 22 2015, 11:36 AM
Jhernandez set Security to None.
Jhernandez edited a custom field.

@Jhernandez @MSyed. Yes! Moiz and I discussed this very issue on monday and came to similar conclusions. Moiz the only thing we discussed differently was removing image rather than halving it...I think such a small image would probably not be helpful in most cases.

JKatzWMF updated the task description. (Show Details)Apr 22 2015, 7:25 PM

@Jhernandez edited descriptions (used strikethrough) and added one item

rmoen moved this task from Ready for dev to In development on the Gather Sprint Forward board.
JKatzWMF moved this task from Product triage to This Sprint on the Gather board.Apr 24 2015, 9:49 PM
rmoen removed rmoen as the assignee of this task.Apr 24 2015, 10:08 PM
rmoen moved this task from In development to Ready for dev on the Gather Sprint Forward board.
Jdlrobson updated the task description. (Show Details)Apr 24 2015, 10:38 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson edited a custom field.Apr 27 2015, 5:51 PM
Jdlrobson moved this task from In Analysis to Ready for dev on the Gather Sprint Greatest Hits board.
Jdlrobson moved this task from This Sprint to In sprint on the Gather board.Apr 30 2015, 5:35 PM

Change 210088 had a related patch set uploaded (by Jhernandez):
Improve star styles on phones

https://gerrit.wikimedia.org/r/210088

Jhernandez updated the task description. (Show Details)May 11 2015, 5:17 PM

Change 210088 merged by jenkins-bot:
Improve star styles on phones

https://gerrit.wikimedia.org/r/210088

Change 210112 had a related patch set uploaded (by Jhernandez):
Improve spacing in the add to collection overlay.

https://gerrit.wikimedia.org/r/210112

Jhernandez updated the task description. (Show Details)May 11 2015, 6:36 PM

@JKatzWMF regarding change text of input box to "name collection" (currently the suggested text gets cutoff) is that the gray text inside the input?

Something like this?:

Looks a little weird to me. I would do Name of collection or Collection name (but this last one may be cut out) or just plain Name.

Change 210112 had a related patch set uploaded (by Jhernandez):
Improve spacing in the add to collection overlay.
https://gerrit.wikimedia.org/r/210112

⬆️ This one needs reviewing. Feel free to move back to In development or -1 when reviewed if it isn't finished then.

Change 210112 merged by jenkins-bot:
Improve spacing in the add to collection overlay.

https://gerrit.wikimedia.org/r/210112

Is it just the placeholder that needs changing now @Jhernandez ?

Change 211920 had a related patch set uploaded (by Jhernandez):
Invert placeholder text on create collection input

https://gerrit.wikimedia.org/r/211920

Jhernandez updated the task description. (Show Details)May 18 2015, 11:41 PM
Jhernandez moved this task from In development to Code review needed on the Gather Sprint Help! board.

Change 211920 merged by jenkins-bot:
Invert placeholder text on create collection input

https://gerrit.wikimedia.org/r/211920

JKatzWMF closed this task as Resolved.May 21 2015, 2:20 PM
JKatzWMF moved this task from Ready for signoff to Done on the Gather Sprint Help! board.